<!-- <ng-template #searchModal>
  <div class="row px-2">
    <div class="col-md-12">
      <h1 class="title">
        Busqueda de {{ searchTitle }}
        <i class="mdi mdi-database-check float-right"></i>
      </h1>
    </div>
  </div>
  <div class="row justify-content-between p-2">
    <div class="col-7 col-md-6">
      <search-bar [service]="service" [filter]="filter" [columns]="columns"></search-bar>
    </div>
    <div class="col-5 col-md-4 align-self-center text-right">
      <button class="btn btn-info btn-sm mr-1" (click)="select()" [disabled]="!selected">Agregar</button>
      <button class="btn btn-sm" (click)="close()">Cancelar</button>
    </div>
  </div>
  <div class="row justify-content-around p-1">
    <div class="col-md-12">
      <div class="table-responsive py-1">
        <table class="table table-hover table-bordered m-0">
          <thead>
            <tr>
              <th *ngFor="let column of columns">{{ column.displayName }}</th>
              <th style="width: 25px; padding: 2px 8px;">
                <button class="btn btn-sm" style="padding: 4px 8px;" (click)="load()">
                  <i class="mdi mdi-cached"></i>
                </button>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let value of service.data; let i = index;">
              <td *ngFor="let column of columns">
                {{ value[column.propertyName] || '--' }}
              </td>
              <td>
                <div class="custom-control custom-radio">
                  <input type="radio" id="{{i}}a" name="radio" class="custom-control-input"
                    (change)="selected = value">
                  <label for="{{i}}a" class="m-0 custom-control-label">&nbsp;</label>
                </div>
              </td>
            </tr>
          </tbody>
          <tfoot>
            <tr>
              <td colspan="9" *ngIf="service.data.length === 0" class="text-center text-muted">
                {{ (service.loading | async) ? 'Cargando...' : 'No hay registros para agregar' }}
              </td>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>
  </div>
  <div class="row p-1 pb-2" *ngIf="service.data.length > 0">
    <div class="col-10">
      <app-pagination [(page)]="service.config.Pagination.Page" [limit]="service.config.Pagination.Limit" 
        [total]="service.config.Pagination.TotalCount" [size]="'sm'" (pageChange)="service.load()">
      </app-pagination>
    </div>
  </div>
  <ngx-spinner name="SEARCH_SPINNER" bdColor="#00152955" size="medium" type="ball-clip-rotate" [fullScreen]="false">
  </ngx-spinner>
</ng-template> -->

<ng-template #searchModal>
  <div class="card border-0">
    <div class="card-header bg-dark text-white border-bottom border-info">
      <span class="font-weight-medium ml-2" style="line-height: 24px;">
          <i class="mdi mdi-account-group"></i>
          Busqueda de {{ searchTitle }}
      </span>
      <button class="btn btn-icon btn-danger btn-sm float-right" placement="bottom"
          ngbTooltip="Salir" (click)="close()">
          <i class="mdi mdi-close mdi-bold"></i>
      </button>
    </div>
    <div class="card-body">
      <div class="row justify-content-between py-2">
        <div class="col-7 col-md-6">
          <search-bar [service]="service" [filter]="filter" [columns]="columns"></search-bar>
        </div>
        <div class="col-5 col-md-4 align-self-center text-right">
          <button class="btn btn-info px-3" (click)="select()" [disabled]="!selected">Agregar</button>
        </div>
      </div>
      <div class="row justify-content-around">
        <div class="col-md-12">
          <div class="table-responsive py-1">
            <table class="table table-hover table-bordered m-0">
              <thead>
                <tr>
                  <th *ngFor="let column of columns">{{ column.displayName }}</th>
                  <th style="width: 25px; padding: 2px 8px;">
                    <button class="btn btn-sm" style="padding: 4px 8px;" (click)="load()">
                      <i class="mdi mdi-cached"></i>
                    </button>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let value of service.data; let i = index;">
                  <!-- (click)="select(value)" -->
                  <td *ngFor="let column of columns">
                    {{ value[column.propertyName] || '--' }}
                  </td>
                  <td>
                    <div class="custom-control custom-radio">
                      <input type="radio" id="{{i}}B" name="radio" class="custom-control-input"
                        (change)="selected = value">
                      <label for="{{i}}B" class="m-0 custom-control-label">&nbsp;</label>
                    </div>
                  </td>
                </tr>
              </tbody>
              <tfoot>
                <tr>
                  <td colspan="9" *ngIf="service.data.length === 0" class="text-center text-muted">
                    {{ (service.loading | async) ? 'Cargando...' : 'No hay registros para agregar' }}
                  </td>
                </tr>
              </tfoot>
            </table>
          </div>
        </div>
      </div>
      <div class="row p-1 pb-2" *ngIf="service.data.length > 0">
        <div class="col-10">
          <app-pagination [(page)]="service.config.Pagination.Page" [limit]="service.config.Pagination.Limit" 
            [total]="service.config.Pagination.TotalCount" [size]="'sm'" (pageChange)="service.load()">
          </app-pagination>
        </div>
        <!-- <div class="col-2 text-right">
          <small class="text-secondary pr-2">
            {{  }}&nbsp;
            /&nbsp;{{ service.config.Pagination.TotalCount }}
          </small>
        </div> -->
      </div>
      <ngx-spinner name="SEARCH_SPINNER" bdColor="#00152955" size="medium" type="ball-clip-rotate" [fullScreen]="false">
      </ngx-spinner>
    </div>
  </div>
</ng-template>
